# std::istrstream::str

From cppreference.com
< cpp‎ | io‎ | istrstream

char* str(); |  |

Returns the pointer to the beginning of the buffer, after freezing it. Effectively calls rdbuf()->str()

### Parameters

(none)

### Return value

Pointer to the beginning of the buffer in the associated std::strsteambuf or NULL if no buffer is available.

### Example

| This section is incomplete Reason: no example

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/io/istrstream/str&oldid=63937"
Category:

- Todo no example